
variable "collation" {
  type        = string
  description = "The collation for the database. Default is SQL_Latin1_General_CP1_CI_AS"
  default     = "SQL_Latin1_General_CP1_CI_AS"
}

variable "db_edition" {
  type        = string
  description = "The edition of the database to be created."
  default     = "Basic"
}

variable "db_name" {
  type        = string
  description = "The name of the database to be created."
  default     = ""
}

variable "end_ip_address" {
  type        = string
  description = "Defines the end IP address used in your database firewall rule."
  default     = "0.0.0.0"
}

variable "location" {
  type        = string
  description = "The location/region where the database and server are created. Changing this forces a new resource to be created."
  default     = ""
}

variable "resource_group_name" {
  type        = string
  description = "Default resource group name that the database will be created in."
  default     = "myapp-rg"
}

variable "server_version" {
  type        = string
  description = "The version for the database server. Valid values are: 2.0 (for v11 server) and 12.0 (for v12 server)."
  default     = "12.0"
}

variable "service_objective_name" {
  type        = string
  description = "The performance level for the database. For the list of acceptable values, see https://docs.microsoft.com/en-gb/azure/sql-database/sql-database-service-tiers. Default is Basic."
  default     = "Basic"
}

variable "sql_admin_username" {
  type        = string
  description = "The administrator username of the SQL Server."
  default     = ""
}

variable "sql_password" {
  type        = string
  description = "The administrator password of the SQL Server."
  default     = ""
}

variable "start_ip_address" {
  type        = string
  description = "Defines the start IP address used in your database firewall rule."
  default     = "0.0.0.0"
}

variable "tags" {
  type        = map(string)
  description = "The tags to associate with your network and subnets."
  default     = {
  "tag1": "",
  "tag2": ""
}
}

variable "tracing_tags_enabled" {
  type        = bool
  description = "Whether enable tracing tags that generated by BridgeCrew Yor."
  default     = false
}

variable "tracing_tags_prefix" {
  type        = string
  description = "Default prefix for generated tracing tags"
  default     = "avm_"
}

